#!/bin/sh

# Script to automate the setting up of my working environment.
# First make sure the keepass Database.kdbx is in a folder.
# Open keepass in a separate window. The script will prompt for passwords.


####################
# Install KeePass2 #
####################

sudo apt install keepass2


####################
# Set some aliases #
####################

echo "alias lime2connect='ssh flyingscorpio@2px.info.tm'" >> ~/.bash_aliases
echo "alias protonvpn='sudo protonvpn'" >> ~/.bash_aliases
echo "alias fish='fish ~/.config/fish/functions/my_aliases.fish && fish'" >> ~/.bash_aliases
echo "alias rm='rm --preserve-root'" >> ~/.bash_aliases
echo "alias ll='ls -lArth'" >> ~/.bash_aliases
echo "alias la='ls -A'" >> ~/.bash_aliases
echo "alias l='ls -CF'" >> ~/.bash_aliases
echo "alias tor-browser-start='/home/flyingscorpio/NetworkAndSecurity/tor-browser-linux64-9.0.4_en-US/tor-browser_en-US/Browser/start-tor-browser --detach'" >> ~/.bash_aliases


#####################
# Install ProtonVPN #
#####################

sudo apt install -y openvpn dialog python3-pip python3-setuptools
sudo pip3 install protonvpn-cli
sudo protonvpn init

# Connect to ProtonVPN in Holland
sudo protonvpn c --cc NL


#############################
# Install and configure Git #
#############################

sudo apt install git
git config --global user.name "$USER@$HOSTNAME"
git config --global user.email "tfranken@protonmail.com"
git config --global alias.ci "commit"
git config --global alias.co "checkout"
git config --global alias.st "status"
git config --global alias.br "branch"

